#include "article.h"

Article::Article() : Entity()
{}

Article::Article(const std::shared_ptr<Seller> sellerPtr) : Entity()
{
    this->sellerPtr = sellerPtr;
}

void Article::setArticleNo(int articleNo)
{
    this->articleNo = articleNo;
}

void Article::setPrice(int price)
{
    this->price = price;
}

void Article::setDescription(const std::string& description)
{
    this->description = description;
}