#ifndef DATABASE_H
#define DATABASE_H

#include <string>

#include <sqlite3.h>

class Database
{
public:
    Database(const std::string& dbname);
    ~Database();
    Database(const Database&) = delete;
    Database& operator=(const Database&) = delete;
    void exec(const std::string& sql);
private:
    sqlite3 *db;
};

#endif // DATABASE_H